Skip to main content
POST
/
audience
/
create
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "audience_name": "Demo Audience",
    "audience_description": "Leads from webinar",
    "contacts": [
        {
            "first_name": "Ava",
            "last_name": "Patel",
            "email": "ava.patel@example.com",
            "country_code": "+1",
            "phone_number": "5551234567",
            "variable_values": {
                "key": "value"
            }
        }
    ]
}

response = client.audience.create(**payload)
print(response)
{
  "message": "Audience created successfully",
  "audience_id": "597b3dde-9169-4017-800d-f97a5fabebe3",
  "audience_name": "Demo Audience",
  "audience_description": "Leads from webinar",
  "total_contacts": 1,
  "contacts_added": 1,
  "contacts": [
    {
      "id": "69f9a9a1c2647606b8c43154",
      "first_name": "Ava",
      "last_name": "Patel",
      "email": "ava.patel@example.com",
      "country_code": "+1",
      "phone_number": "5551234567"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for Create audience.

Audience Create Request schema.

audience_name
string
required

Audience name

Example:

"Demo Audience"

contacts
object[]
required

Contacts value.

Minimum array length: 1
audience_description
string

Audience description

Example:

"Leads from webinar"

Response

Audience created

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.